Bug 2001929 (CVE-2021-3770) - CVE-2021-3770 vim: using retab with large value may lead to heap buffer overflow
Summary: CVE-2021-3770 vim: using retab with large value may lead to heap buffer overflow
Keywords:
Status: NEW
Alias: CVE-2021-3770
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2002320 2001930 2002318 2002319
Blocks: 2001931
TreeView+ depends on / blocked
 
Reported: 2021-09-07 13:31 UTC by Marian Rehak
Modified: 2021-09-10 09:29 UTC (History)
5 users (show)

Fixed In Version: vim 8.2.3403
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in vim. A possible heap-based buffer overflow could allow an attacker to input a specially crafted file leading to a crash or code execution. The highest threat from this vulnerability is to data confidentiality and integrity as well as system availability.
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Marian Rehak 2021-09-07 13:31:05 UTC
Invalid memory access when using :retab with large value may lead to Heap-based Buffer Overflow.

Upstream reference:

https://github.com/vim/vim/commit/b7081e135a16091c93f6f5f7525a5c58fb7ca9f9

Comment 1 Marian Rehak 2021-09-07 13:31:20 UTC
Created vim tracking bugs for this issue:

Affects: fedora-all [bug 2001930]

Comment 2 juneau 2021-09-08 14:18:11 UTC
Marking openshift-hosted-osd3 notaffected.


Note You need to log in before you can comment on or make changes to this bug.